﻿/**
 * Created by jinkui on 2017/9/12.
 */

//cpu
function monitoring_cpu(serviceid,day){
    $.post('?c=module&serviceid=' + serviceid + '&caction=monitoring&day=' + day + '&show=text&t=' + new Date(), function (data) {
        var rdataa = $.parseJSON(data);
        var rdata = rdataa.data;
        var myChartCpu = echarts.init(document.getElementById('showChartview'));
        var xData = [];
        var yData = [];
        //var zData = [];

        for(var i = 0; i < rdata.length; i++){
            xData.push(rdata[i].time);
            yData.push(rdata[i].cpu);
            //zData.push(rdata[i].mem);
        }
        option = {
            tooltip: {
                trigger: 'axis',
                formatter: '{b}<br />{a}: {c}%'
            },
            grid: {
                left: "5%",
                right: "5%",
            },
            xAxis: {
                type: 'category',
                boundaryGap: false,
                data: xData,
                axisLine:{
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            yAxis: {
                type: 'value',
                name: '百分比',
                boundaryGap: [0, '100%'],
                min:0,
                max: 100,
                splitLine:{
                    lineStyle:{
                        color:"#ddd"
                    }
                },
                axisLine:{
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            series: [
                {
                    name:'CPU',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(0, 153, 238)'
                        }
                    },
                    data: yData
                }
            ]
        };
        myChartCpu.setOption(option);
        window.addEventListener("resize",function(){
            myChartCpu.resize();
        });
    })
}

//内存
function monitoring_ram(serviceid,day){
    $.post('?c=module&serviceid=' + serviceid + '&caction=monitoring&day=' + day + '&show=text&t=' + new Date(), function (data) {
        var rdataa = $.parseJSON(data);
        var rdata = rdataa.data;
        var myChartMen = echarts.init(document.getElementById('showChartview'));
        var xData = [];
        var yData = [];
        var zData = [];

        for(var i = 0; i < rdata.length; i++){
            xData.push(rdata[i].time);
            var status = rdata[i].memory.split(",");
            yData.push(Math.ceil(status[0]/1024));
            zData.push(Math.ceil(status[1]/1024));
        }
        option = {
            tooltip : {
                trigger: 'axis'
            },
            grid: {
                left: "5%",
                right: "5%"
            },
            calculable : true,
            xAxis : [
                {
                    type : 'category',
                    data : xData
                }
            ],
            yAxis : [
                {
                    type : 'value',
                    name: '单位MB'
                }
            ],
            series : [
                {
                    name:'使用',
                    type:'bar',
                    data:yData
                },
                {
                    name:'总',
                    type:'bar',
                    data:zData
                }
            ]
        };

        myChartMen.setOption(option);
        window.addEventListener("resize",function(){
            myChartMen.resize();
        });
    })
}

//磁盘io
function monitoring_disk(serviceid,day){
    $.post('?c=module&serviceid=' + serviceid + '&caction=monitoring&day=' + day + '&show=text&t=' + new Date(), function (data) {
        var rdataa = $.parseJSON(data);
        var rdata = rdataa.data;
        var myChartMen = echarts.init(document.getElementById('showChartview'));
        var xData = [];
        var yData = [];
        var zData = [];

        for(var i = 0; i < rdata.length; i++){
            xData.push(rdata[i].time);
            var status = rdata[i].disk.split(",");
            var disk1 =parseInt(status[0]);
            var disk2 =parseInt(status[1]);
            var disk3 =parseInt(status[6]);
            var disk4 =parseInt(status[7]);
            var disk5 =disk1+disk3;
            var disk6 =disk2+disk4;
            yData.push((disk5/1024).toFixed(1));
            zData.push(Math.ceil(disk6/1024));
        }
        option = {
            tooltip : {
                trigger: 'axis'
            },
            grid: {
                left: "5%",
                right: "5%"
            },
            calculable : true,
            xAxis : [
                {
                    type : 'category',
                    data : xData
                }
            ],
            yAxis : [
                {
                    type : 'value',
                    name: '单位GB'
                }
            ],
            series : [
                {
                    name:'使用',
                    type:'bar',
                    data:yData
                },
                {
                    name:'总',
                    type:'bar',
                    data:zData
                }
            ]
        };
        myChartMen.setOption(option);
        window.addEventListener("resize",function(){
            myChartMen.resize();
        });
    })
}

//网络Io
function monitoring_network(serviceid,day){
    $.post('?c=module&serviceid=' + serviceid + '&caction=monitoring&day=' + day + '&show=text&t=' + new Date(), function (data) {
        var rdataa = $.parseJSON(data);
        var rdata = rdataa.data;
        var myChartNetwork = echarts.init(document.getElementById('showChartview'));
        var xData = [];
        var yData = [];
        var zData = [];

        for(var i = 0; i < rdata.length; i++){
            xData.push(rdata[i].time);
            var status = rdata[i].network.split(",");
            yData.push((status[0]/1024).toFixed(1)); //0
            zData.push((status[1]/1024).toFixed(1)); //1
        }
        option = {
            tooltip: {
                trigger: 'axis'
            },
            legend: {
                data:['上行','下行']
            },
            grid: {
                left: "5%",
                right: "5%"
            },
            xAxis: {
                type: 'category',
                boundaryGap: false,
                data: xData,
                axisLine:{
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            yAxis: {
                type: 'value',
                name: '带宽KB/s',
                boundaryGap: [0, '100%'],
                splitLine:{
                    lineStyle:{
                        color:"#ddd"
                    }
                },
                axisLine:{
                    lineStyle:{
                        color:"#666"
                    }
                }
            },
            series: [
                {
                    name:'上行',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(255, 140, 0)'
                        }
                    },
                    data: yData
                },
                {
                    name:'下行',
                    type:'line',
                    smooth:true,
                    symbol: 'none',
                    sampling: 'average',
                    itemStyle: {
                        normal: {
                            color: 'rgb(30, 144, 255)'
                        }
                    },
                    data: zData
                }
            ]
        };
        myChartNetwork.setOption(option);
        window.addEventListener("resize",function(){
            myChartNetwork.resize();
        });
    })
}